<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ปัญหาอุปสรรคและการจัดการ</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="validate === true">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button
          type="button"
          class="btn btn-primary sandwork"
          (click)="sandwork()"
        >
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!-- =========================================================== New data ============================================================= -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne"
      [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">

        <!-- --------------------------------------------- ข้อมูลการร้องเรียนเรื่อง Market Conduct -------------------------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <div class="d-flex bd-highlight">
              <div class="w-100 bd-highlight">
                <p class="head-detal">ข้อมูลการร้องเรียนเรื่อง Market Conduct</p>
              </div>
              <div *ngIf="validate === true" class="flex-shrink-1 bd-highlight">
                <button type="button" class="btn add_table head-detal" (click)="addTable(0)"><img
                    src="../../../../../assets/img/add_white.svg">
                  <a>เพิ่มข้อมูล</a>
                </button>
              </div>
            </div>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 10px;">
          </div>

          <div class="col-12">
            <div class="overflow-auto">
              <table class="table-proccess table table-striped">
                <thead>
                  <tr>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      &nbsp;การร้องเรียนเรื่อง Market Conduct</th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      การแก้ไขปัญหา</th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      ผลลัพธ์ที่ได้ </th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      แนวทางการดำเนินการต่อไป </th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      วันที่จะแก้ไขปัญหาได้เรียบร้อย </th>
                    <th class="text-nowrap" style="width: 100px; min-width: 100px; max-width: 100px;"></th>
                  </tr>

                </thead>
                <tbody class="example-list">
                  <tr *ngFor="let item of stepTwoData[0].complaintMarketConduct; index as istep">
                    <!-- ระบุเรื่องร้องเรียน  -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <!-- <input type="text" class="form-control" placeholder="ระบุเรื่องร้องเรียน"
                          [(ngModel)]="item.complaint" (ngModelChange)="changeSaveDraft()"> -->
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุเรื่องร้องเรียน"
                          [(ngModel)]="item.complaint" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.complaint }}
                      </div>
                    </td>
                    <!-- ระบุการแก้ไขปัญหา -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <!-- <input type="text" class="form-control" placeholder="ระบุการแก้ไขปัญหา"
                          [(ngModel)]="item.modify" (ngModelChange)="changeSaveDraft()"> -->
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุการแก้ไขปัญหา"
                          [(ngModel)]="item.modify" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.modify }}
                      </div>
                    </td>
                    <!-- ระบุผลลัพธ์ที่ได้ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <!-- <input type="text" class="form-control"  placeholder="ระบุผลลัพธ์ที่ได้"
                          [(ngModel)]="item.result" (ngModelChange)="changeSaveDraft()"> -->
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุผลลัพธ์ที่ได้"
                          [(ngModel)]="item.result" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.result }}
                      </div>
                    </td>
                    <!-- ระบุแนวทางการดำเนินการ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <!-- <input type="text" class="form-control" 
                          placeholder="ระบุแนวทางการดำเนินการ" [(ngModel)]="item.process"
                          (ngModelChange)="changeSaveDraft()"> -->
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุแนวทางการดำเนินการ"
                          [(ngModel)]="item.process" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.process }}
                      </div>
                    </td>
                    <!-- ระบุวันที่ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div class="input-warpper">
                        <!-- <div class="icon-warpper1">
                          <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()">
                        </div>
                        <div class="icon-warpper2">
                          <i class="fa fa-close btn-delete" *ngIf="item.modifyDate" (click)="dp.clearDate()"></i>
                        </div> -->
                        <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="item.modifyDate " (ngModelChange)="changeSaveDraft()"
                          class="form-control" placeholder="กรุณาระบุวันที่ที่คาดว่าจะประกาศใช้" [options]="myDpOptions"
                          #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" /> -->
                          <div *ngIf="item.modifyDate !== null;else changeDate0">
                            <app-date
                            [datepicker_input]="{ role: null , dateData: item.modifyDate, index: null, page: 'summary-step-show' }"
                            (DateChange)="item.modifyDate = changeDate($event)"></app-date>
                          </div>
                          <ng-template #changeDate0>
                            <app-date
                            [datepicker_input]="{ role: null , dateData: null, index: null, page: 'summary-step-show' }"
                            (DateChange)="item.modifyDate = changeDate($event)"></app-date>
                          </ng-template>
                        
                      </div>
                    </td>
                    <td *ngIf="validate === false && item.modifyDate !== null"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;">
                        {{dateFormat(item.modifyDate)}}
                        <!-- {{dateFormats(item.date)}} -->
                      </div>
                    </td>
                    <td *ngIf="validate === false && item.modifyDate === null"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;">
                        &nbsp; &nbsp; &nbsp; &nbsp; -
                        <!-- {{dateFormats(item.date)}} -->
                      </div>
                    </td>
                    <!-- ลบข้อมูล -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                      style="text-align: center; vertical-align: middle;">
                      <div>
                        <span class="delete-data" (click)="deleteTable(0, istep)">ลบข้อมูล</span>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div *ngIf="validate === true" class="col-12 d-flex justify-content-end">
            <button type="button" class="btn add_table head-detal" (click)="addTable(0)"><img
                src="../../../../../assets/img/add_white.svg">
              <a>เพิ่มข้อมูล</a>
            </button>
          </div>

        </div>

        <!-- --------------------------------------------- ข้อมูลการร้องเรียนเรื่องอื่นๆ -------------------------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <div class="d-flex bd-highlight">
              <div class="w-100 bd-highlight">
                <p class="head-detal">ข้อมูลการร้องเรียนเรื่องอื่นๆ</p>
              </div>
              <div *ngIf="validate === true" class="flex-shrink-1 bd-highlight">
                <button type="button" class="btn add_table head-detal" (click)="addTable(1)"><img
                    src="../../../../../assets/img/add_white.svg">
                  <a>เพิ่มข้อมูล</a>
                </button>
              </div>
            </div>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 10px;">
          </div>

          <div class="col-12">
            <div class="overflow-auto">
              <table class="table-proccess table table-striped">
                <thead>
                  <tr>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      &nbsp;การร้องเรียนเรื่องอื่นๆ</th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      การแก้ไขปัญหา</th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      ผลลัพธ์ที่ได้ </th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      แนวทางการดำเนินการต่อไป </th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      วันที่จะแก้ไขปัญหาได้เรียบร้อย </th>
                    <th class="text-nowrap" style="width: 100px; min-width: 100px; max-width: 100px;"></th>
                  </tr>

                </thead>
                <tbody class="example-list">
                  <tr *ngFor="let item of stepTwoData[0].complaintOther; index as istep">
                    <!-- ระบุเรื่องร้องเรียน  -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุเรื่องร้องเรียน"
                          [(ngModel)]="item.complaint" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.complaint }}
                      </div>
                    </td>
                    <!-- ระบุการแก้ไขปัญหา -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุการแก้ไขปัญหา"
                          [(ngModel)]="item.modify" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.modify }}
                      </div>
                    </td>
                    <!-- ระบุผลลัพธ์ที่ได้ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุผลลัพธ์ที่ได้"
                          [(ngModel)]="item.result" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.result }}
                      </div>
                    </td>
                    <!-- ระบุแนวทางการดำเนินการ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุแนวทางการดำเนินการ"
                          [(ngModel)]="item.process" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.process }}
                      </div>
                    </td>
                    <!-- ระบุวันที่ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div class="input-warpper">
                        <!-- <div class="icon-warpper1">
                          <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()">
                        </div>
                        <div class="icon-warpper2">
                          <i class="fa fa-close btn-delete" *ngIf="item.modifyDate" (click)="dp.clearDate()"></i>
                        </div>
                          <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="item.modifyDate " (ngModelChange)="changeSaveDraft()"
                          class="form-control" placeholder="กรุณาระบุวันที่ที่คาดว่าจะประกาศใช้" [options]="myDpOptions"
                          #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" /> -->
                          <div *ngIf="item.modifyDate !== null;else changeDate1">
                            <app-date
                            [datepicker_input]="{ role: null , dateData: item.modifyDate, index: null, page: 'summary-step-show' }"
                            (DateChange)="item.modifyDate = changeDate($event)"></app-date>
                          </div>
                          <ng-template #changeDate1>
                            <app-date
                            [datepicker_input]="{ role: null , dateData: null, index: null, page: 'summary-step-show' }"
                            (DateChange)="item.modifyDate = changeDate($event)"></app-date>
                          </ng-template>
                      </div>
                    </td>
                    <td *ngIf="validate === false && item.modifyDate !== null"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px">
                        {{dateFormat(item.modifyDate)}}
                        <!-- {{dateFormats(item.date)}} -->
                      </div>
                    </td>
                    <td *ngIf="validate === false && item.modifyDate === null"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px">
                        &nbsp; &nbsp; &nbsp; &nbsp; -
                        <!-- {{dateFormats(item.date)}} -->
                      </div>
                    </td>
                    <!-- ลบข้อมูล -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                      style="text-align: center; vertical-align: middle;">
                      <div>
                        <span class="delete-data" (click)="deleteTable(1, istep)">ลบข้อมูล</span>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div *ngIf="validate === true" class="col-12 d-flex justify-content-end">
            <button type="button" class="btn add_table head-detal" (click)="addTable(1)"><img
                src="../../../../../assets/img/add_white.svg">
              <a>เพิ่มข้อมูล</a>
            </button>
          </div>

        </div>

        <!-- --------------------------------------------- ปัญหาทั่วไป -------------------------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <div class="d-flex bd-highlight">
              <div class="w-100 bd-highlight">
                <p class="head-detal">ปัญหาทั่วไป</p>
              </div>
              <div *ngIf="validate === true" class="flex-shrink-1 bd-highlight">
                <button type="button" class="btn add_table head-detal" (click)="addTable(2)"><img
                    src="../../../../../assets/img/add_white.svg">
                  <a>เพิ่มข้อมูล</a>
                </button>
              </div>
            </div>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 10px;">
          </div>

          <div class="col-12">
            <div class="overflow-auto">
              <table class="table-proccess table table-striped">
                <thead>
                  <tr>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      &nbsp;ปัญหาทั่วไป</th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      การแก้ไขปัญหา</th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      ผลลัพธ์ที่ได้ </th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      แนวทางการดำเนินการต่อไป </th>
                    <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                      วันที่จะแก้ไขปัญหาได้เรียบร้อย </th>
                    <th class="text-nowrap" style="width: 100px; min-width: 100px; max-width: 100px;"></th>
                  </tr>

                </thead>
                <tbody class="example-list">
                  <tr *ngFor="let item of stepTwoData[0].complaintCommon; index as istep">
                    <!-- ระบุเรื่องร้องเรียน  -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุเรื่องร้องเรียน"
                          [(ngModel)]="item.complaint" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.complaint }}
                      </div>
                    </td>
                    <!-- ระบุการแก้ไขปัญหา -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุการแก้ไขปัญหา"
                          [(ngModel)]="item.modify" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.modify }}
                      </div>
                    </td>
                    <!-- ระบุผลลัพธ์ที่ได้ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุผลลัพธ์ที่ได้"
                          [(ngModel)]="item.result" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.result }}
                      </div>
                    </td>
                    <!-- ระบุแนวทางการดำเนินการ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div>
                        <textarea appTextareaAutoresize autocomplete="off"  type="text" class="form-control example" placeholder="ระบุแนวทางการดำเนินการ"
                          [(ngModel)]="item.process" (ngModelChange)="changeSaveDraft()"></textarea>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{ item.process }}
                      </div>
                    </td>
                    <!-- ระบุวันที่ -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div class="input-warpper">
                        <!-- <div class="icon-warpper1">
                          <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()">
                        </div>
                        <div class="icon-warpper2">
                          <i class="fa fa-close btn-delete" *ngIf="item.modifyDate" (click)="dp.clearDate()"></i>
                        </div>
                          <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="item.modifyDate " (ngModelChange)="changeSaveDraft()"
                          class="form-control" placeholder="กรุณาระบุวันที่ที่คาดว่าจะประกาศใช้" [options]="myDpOptions"
                          #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" /> -->
                          <div *ngIf="item.modifyDate !== null;else changeDate2">
                            <app-date
                            [datepicker_input]="{ role: null , dateData: item.modifyDate, index: null, page: 'summary-step-show' }"
                            (DateChange)="item.modifyDate = changeDate($event)"></app-date>
                          </div>
                          <ng-template #changeDate2>
                            <app-date
                            [datepicker_input]="{ role: null , dateData: null, index: null, page: 'summary-step-show' }"
                            (DateChange)="item.modifyDate = changeDate($event)"></app-date>
                          </ng-template>
                      </div>
                    </td>
                    <td *ngIf="validate === false && item.modifyDate !== null"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        {{dateFormat(item.modifyDate)}}
                        <!-- {{dateFormats(item.date)}} -->
                      </div>
                    </td>
                    <td *ngIf="validate === false && item.modifyDate === null"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                        &nbsp; &nbsp; &nbsp; &nbsp; -
                        <!-- {{dateFormats(item.date)}} -->
                      </div>
                    </td>
                    <!-- ลบข้อมูล -->
                    <td *ngIf="validate === true"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                      style="text-align: center; vertical-align: middle;">
                      <div>
                        <span class="delete-data" (click)="deleteTable(2, istep)">ลบข้อมูล</span>
                      </div>
                    </td>
                    <td *ngIf="validate === false"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="padding-left: 10px;word-break: break-all;">
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div *ngIf="validate === true" class="col-12 d-flex justify-content-end">
            <button type="button" class="btn add_table head-detal" (click)="addTable(2)"><img
                src="../../../../../assets/img/add_white.svg">
              <a>เพิ่มข้อมูล</a>
            </button>
          </div>

        </div>

      </div>
    </div>


  </div>
  <!-- =========================================================== old data ============================================================= -->
  <div *ngIf="parentRequestId.length > 0" [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="card" *ngFor="let item of parentRequestId; let idetail = index">
      <div class="card-header" id="headingTwo">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{item.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[idetail].value === true" class="btn btn-link" data-toggle="collapse"
            href="#collapseTwo_{{idetail}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{idetail}}"
            (click)="getDetailParent(item.requestId, idetail); showSearch(idetail)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[idetail].value === false" class="btn btn-link" data-toggle="collapse"
            href="#collapseTwo_{{idetail}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{idetail}}"
            (click)="getDetailParent(item.requestId, idetail)" (click)="showSearch(idetail)">
            แสดงผลน้อยลง
          </a>

        </div>
      </div>

      <div id="collapseTwo_{{idetail}}" class="collapse" aria-labelledby="headingTwo" data-toggle="collapse"
        data-parent="#accordion">
        <div class="card-body">

          <!-- --------------------------------------------- ข้อมูลการร้องเรียนเรื่อง Market Conduct -------------------------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <div class="d-flex bd-highlight">
                <div class="w-100 bd-highlight">
                  <p class="head-detal">ข้อมูลการร้องเรียนเรื่อง Market Conduct</p>
                </div>
              </div>
            </div>
            <div class="col-12">
              <hr style="margin-top: 0px;margin-bottom: 10px;">
            </div>

            <div class="col-12">
              <div class="overflow-auto">
                <table class="table-proccess table table-striped">
                  <thead>
                    <tr>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        &nbsp;การร้องเรียนเรื่อง Market Conduct</th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        การแก้ไขปัญหา</th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        ผลลัพธ์ที่ได้ </th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        แนวทางการดำเนินการต่อไป </th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        วันที่จะแก้ไขปัญหาได้เรียบร้อย </th>
                    </tr>

                  </thead>
                  <tbody class="example-list">
                    <tr *ngFor="let item of stepTwoData[idetail+1].complaintMarketConduct; index as istep">
                      <!-- ระบุเรื่องร้องเรียน  -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.complaint }}
                        </div>
                      </td>
                      <!-- ระบุการแก้ไขปัญหา -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.modify }}
                        </div>
                      </td>
                      <!-- ระบุผลลัพธ์ที่ได้ -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.result }}
                        </div>
                      </td>
                      <!-- ระบุแนวทางการดำเนินการ -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.process }}
                        </div>
                      </td>
                      <!-- ระบุวันที่ -->
                      <td *ngIf="item.modifyDate !== null"
                        [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{dateFormat(item.modifyDate)}}
                          <!-- {{dateFormats(item.date)}} -->
                        </div>
                      </td>
                      <td *ngIf="item.modifyDate === null"
                        [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          &nbsp; &nbsp; &nbsp; &nbsp; -
                          <!-- {{dateFormats(item.date)}} -->
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>

          </div>

          <!-- --------------------------------------------- ข้อมูลการร้องเรียนเรื่องอื่นๆ -------------------------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <div class="d-flex bd-highlight">
                <div class="w-100 bd-highlight">
                  <p class="head-detal">ข้อมูลการร้องเรียนเรื่องอื่นๆ</p>
                </div>
              </div>
            </div>
            <div class="col-12">
              <hr style="margin-top: 0px;margin-bottom: 10px;">
            </div>

            <div class="col-12">
              <div class="overflow-auto">
                <table class="table-proccess table table-striped">
                  <thead>
                    <tr>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        &nbsp;การร้องเรียนเรื่อง Market Conduct</th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        การแก้ไขปัญหา</th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        ผลลัพธ์ที่ได้ </th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        แนวทางการดำเนินการต่อไป </th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        วันที่จะแก้ไขปัญหาได้เรียบร้อย </th>
                    </tr>

                  </thead>
                  <tbody class="example-list">
                    <tr *ngFor="let item of stepTwoData[idetail+1].complaintOther; index as istep">
                      <!-- ระบุเรื่องร้องเรียน  -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.complaint }}
                        </div>
                      </td>
                      <!-- ระบุการแก้ไขปัญหา -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.modify }}
                        </div>
                      </td>
                      <!-- ระบุผลลัพธ์ที่ได้ -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.result }}
                        </div>
                      </td>
                      <!-- ระบุแนวทางการดำเนินการ -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.process }}
                        </div>
                      </td>
                      <!-- ระบุวันที่ -->
                      <td *ngIf="item.modifyDate !== null"
                        [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{dateFormat(item.modifyDate)}}
                          <!-- {{dateFormats(item.date)}} -->
                        </div>
                      </td>
                      <td *ngIf="item.modifyDate === null"
                        [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          &nbsp; &nbsp; &nbsp; &nbsp; -
                          <!-- {{dateFormats(item.date)}} -->
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>

          </div>

          <!-- --------------------------------------------- ปัญหาทั่วไป -------------------------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <div class="d-flex bd-highlight">
                <div class="w-100 bd-highlight">
                  <p class="head-detal">ปัญหาทั่วไป</p>
                </div>
              </div>
            </div>
            <div class="col-12">
              <hr style="margin-top: 0px;margin-bottom: 10px;">
            </div>

            <div class="col-12">
              <div class="overflow-auto">
                <table class="table-proccess table table-striped">
                  <thead>
                    <tr>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        &nbsp;การร้องเรียนเรื่อง Market Conduct</th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        การแก้ไขปัญหา</th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        ผลลัพธ์ที่ได้ </th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        แนวทางการดำเนินการต่อไป </th>
                      <th class="text-nowrap" style="width: 416px; min-width: 416px; max-width: 416px;">
                        วันที่จะแก้ไขปัญหาได้เรียบร้อย </th>
                    </tr>

                  </thead>
                  <tbody class="example-list">
                    <tr *ngFor="let item of stepTwoData[idetail+1].complaintCommon; index as istep">
                      <!-- ระบุเรื่องร้องเรียน  -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.complaint }}
                        </div>
                      </td>
                      <!-- ระบุการแก้ไขปัญหา -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.modify }}
                        </div>
                      </td>
                      <!-- ระบุผลลัพธ์ที่ได้ -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.result }}
                        </div>
                      </td>
                      <!-- ระบุแนวทางการดำเนินการ -->
                      <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{ item.process }}
                        </div>
                      </td>
                      <!-- ระบุวันที่ -->
                      <td *ngIf="item.modifyDate !== null"
                        [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          {{dateFormat(item.modifyDate)}}
                          <!-- {{dateFormats(item.date)}} -->
                        </div>
                      </td>
                      <td *ngIf="item.modifyDate === null"
                        [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                        <div style="padding-left: 10px;word-break: break-all;">
                          &nbsp; &nbsp; &nbsp; &nbsp; -
                          <!-- {{dateFormats(item.date)}} -->
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>

          </div>

        </div>
      </div>


    </div>
  </div>
</div>

<!-- ===================================== next page=================================================== -->
<div *ngIf="validate === true" [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <br />
  <br />
  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step_summary()">
        ถัดไป
      </button>
    </div>
  </div>
  <br />
</div>

<div class="row" *ngIf="validate === false"
  [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>